<?php

if (!function_exists('add_action')) {
    exit;
}

if (empty($_POST) || $_POST['checkGoogleplus'] != 'on') {
    return false;
}
$message = $_POST['prg_googleplus'];

global $wpdb;
$currentUserID = get_current_user_id();

$sql = $wpdb->prepare("SELECT * FROM `prg_connect_config` WHERE `author_id` = %d", $currentUserID);
$userExist = $wpdb->get_row($sql);

require_once 'getGoogleplusWarrant.php';
$prgGoogleplusConnect = new PRGGoogleplusConnect();

$credsGoogleplusSecond = $prgGoogleplusConnect->verifyCredentialsGoogleplus($userExist->UserBlogToken);
if (!empty($credsGoogleplusSecond)) {
    $userId = $userExist->UserBlogToken;
}

$post = array(
    'meth' => 'update',
    'message' => $message,
    'link' => $_POST['shortUrl'],
    'image' => $_POST['image'],
    'userid' => $userId,
);

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'http://www.pr-gateway.de/wpplugin/index.php?type=googleplus');
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, $post);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
echo $result = curl_exec($ch);
curl_close($ch);
$resultObj = json_decode($result);

if (!is_array($resultObj)) {
    $sqlCheckIsset = $wpdb->prepare("SELECT `id` FROM `prg_connect_sent` WHERE `wpid` = %d", $_POST['blogid']);
    $issetVar = $wpdb->get_var($sqlCheckIsset);
    if (!$issetVar) {
        $wpdb->insert('prg_connect_sent', array('wpid' => $_POST['blogid'], 'googleplussent' => 1));
    } else {
        $wpdb->update('prg_connect_sent', array('wpid' => $_POST['blogid'], 'googleplussent' => 1), array('wpid' => $_POST['blogid']));
    }
}
