<?php

if (!function_exists('add_action')) {
    exit;
}

if (empty($_POST) || $_POST['checkTwitter'] != 'on') {
    return false;
}
$message = $_POST['prg_twitter'];

if (strlen($message) > 120) {
    return false;
}

$message .= ' ' . $_POST['shortUrl'];
global $wpdb;
$currentUserID = get_current_user_id();

$sql = $wpdb->prepare("SELECT * FROM `prg_connect_config` WHERE `author_id` = %d", $currentUserID);
$userExist = $wpdb->get_row($sql);

require_once 'getTwitterWarrant.php';
$prgTwitterConnect = new PRGTwitterConnect();

$credsTwitterSecond = json_decode($prgTwitterConnect->verifyCredentialsTwitter($userExist->UserBlogToken));
if (isset($credsTwitterSecond->screen_name)) {
    $userId = $userExist->UserBlogToken;
}

$post = array(
    'meth' => 'update',
    'message' => $message,
    'userid' => $userId,
);

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'http://www.pr-gateway.de/wpplugin/index.php?type=twitter');
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, $post);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

echo $result = curl_exec($ch);
curl_close($ch);
$resultObj = json_decode($result);

if (!is_array($resultObj)) {
    $sqlCheckIsset = $wpdb->prepare("SELECT `id` FROM `prg_connect_sent` WHERE `wpid` = %d", $_POST['blogid']);
    $issetVar = $wpdb->get_var($sqlCheckIsset);
    if (!$issetVar) {
        $wpdb->insert('prg_connect_sent', array('wpid' => $_POST['blogid'], 'twittersent' => 1));
    } else {
        $wpdb->update('prg_connect_sent', array('wpid' => $_POST['blogid'], 'twittersent' => 1), array('wpid' => $_POST['blogid']));
    }
}
